Subject: Re: bug#3145: 23.0.92; detaching GTK+ tool bar crashes emacs --daemon

From: Stephen Berman <[email-masked]>
Date: Sun, 03 May 2009 01:35:46 +0200

On Sat, 02 May 2009 18:51:14 +0200 Jan Djärv <[email-masked]> wrote:

> Sorry, no workaround is possible.
> The part in Gtk+ that handles detaching uses a hidden window which it stores
> in a static variable.  So it get created on the first display, but is still
> used on the second, but that is not a valid window anymore:
[...]
> This is another instance of the "there is just one display and it is always
> open"-mindset of Gtk+.
>
> I have filed a Gtk+ bug on this
> (http://bugzilla.gnome.org/show_bug.cgi?id=581110). Not sure what we should do
> about this bug though.  Keep it until Gtk+ fixes/rejects the bug report or
> close it?

As long as this does not change in GTK+ and no workaround is possible in
Emacs, I (sadly) think you should seriously consider disabling detaching
the tool bar in the GTK+ build.  When used in conjunction with --daemon
it is a ticking time bomb for data loss because of the crash it causes.
I don't make this suggestion lightly, since detaching the tool bar is to
me an acceptable workaround for the very annoying shrinking frame bug
(see bug#3195), but precluding a crash and possible data loss should
probably take precedence over avoiding annoyance.

Steve Berman